LibreOffice: RegressionCurve Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Included Services | Exported Interfaces | List of all members
RegressionCurve Service Reference

`import"RegressionCurve.idl";`

Inheritance diagram for RegressionCurve:

## Included Services
service | ::com::sun::star::beans::PropertySet
service | ::com::sun::star::drawing::LineProperties

## Exported Interfaces
interface | XRegressionCurve
Exported Interfaces inherited from PropertySet
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XFastPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XPropertyAccess
interface | com::sun::star::beans::XPropertyState

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XRegressionCurve
XRegressionCurveCalculator | getCalculator ()
::com::sun::star::beans::XPropertySet | getEquationProperties ()
void | setEquationProperties ([in] ::com::sun::star::beans::XPropertySet xEquationProperties)
Public Attributes inherited from LineProperties
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line. More...
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line. More...
string | LineDashName
| This property contains the name of the dash of the line. More...
com::sun::star::util::Color | LineColor
| This property contains the line color. More...
short | LineTransparence
| This property contains the extent of transparency. More...
long | LineWidth
| This property contains the width of the line in 1/100th mm. More...
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines. More...
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines. More...
string | LineStartName
| This property contains the name of the line start poly polygon Bezier. More...
string | LineEndName
| This property contains the name of the line end poly polygon Bezier. More...
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier. More...
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier. More...
boolean | LineStartCenter
| If this property is `TRUE`, the line will start from the center of the polygon. More...
long | LineStartWidth
| This property contains the width of the line start polygon. More...
boolean | LineEndCenter
| If this property is `TRUE`, the line will end in the center of the polygon. More...
long | LineEndWidth
| This property contains the width of the line end polygon. More...
Protected Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name. More...
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties. More...
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value. More...
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )

## Exported Interfaces

## ◆ ::com::sun::star::beans::PropertySet

service ::com::sun::star::beans::PropertySet

## ◆ ::com::sun::star::drawing::LineProperties

service ::com::sun::star::drawing::LineProperties

## Exported Interfaces

## ◆ XRegressionCurve

interface XRegressionCurve

The documentation for this service was generated from the following file:

- com/sun/star/chart2/RegressionCurve.idl